#include <bits/stdc++.h>
using namespace std;
double n,a[200010],p[200010],porez,res,mx=0;
int main () {
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i]>>p[i];
    }
    for(int i=1;i<=n;i++){
        res=0;
        for(int j=1;j<=n;j++){
            if(p[j]>=p[i]){res+=a[j];}
        }
        porez=res*p[i]/100;
        mx=max(porez,mx);
    }
    cout<<setprecision(4)<<fixed<<mx<<endl;
    return 0;
}